<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/main_backgroud"
    android:paddingTop="42dp">

    <com.trace.drawing.people.tools.Tv
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="5dp"
        android:text="@string/app_name"
        android:textColor="@color/title_color"
        android:textSize="18sp"
        android:textStyle="bold"
        app:apply_font="true"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_sub"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="11dp"
        android:layout_marginEnd="16dp"
        android:maxLines="2"
        android:text="@string/sub_title"
        android:textColor="@color/sub_title_color"
        android:textSize="15sp"
        app:layout_constraintLeft_toLeftOf="@id/tv_name"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_name" />

    <LinearLayout
        android:id="@+id/rl_upload"
        android:layout_width="0dp"
        android:layout_height="130dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/sp_12_main"
        android:gravity="center"
        android:orientation="vertical"
        android:padding="10dp"
        app:layout_constraintLeft_toLeftOf="@id/tv_name"
        app:layout_constraintRight_toLeftOf="@id/rl_like"
        app:layout_constraintTop_toBottomOf="@id/tv_sub">

        <ImageView
            android:layout_width="85dp"
            android:layout_height="85dp"
            android:src="@drawable/img_photo_sketch" />

        <com.trace.drawing.people.tools.Tv
            android:id="@+id/tv_upload"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:maxLines="2"
            android:text="@string/upload_photo"
            android:textColor="@color/title_color"
            android:textSize="15sp"
            app:apply_font="true" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/rl_like"
        android:layout_width="0dp"
        android:layout_height="130dp"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/sp_12_main"
        android:gravity="center"
        android:orientation="vertical"
        android:padding="10dp"
        app:layout_constraintLeft_toRightOf="@id/rl_upload"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/rl_upload">

        <ImageView
            android:layout_width="85dp"
            android:layout_height="85dp"
            android:padding="8dp"
            android:src="@drawable/image_main_like" />

        <com.trace.drawing.people.tools.Tv
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:maxLines="2"
            android:text="@string/collection"
            android:textColor="@color/title_color"
            android:textSize="15sp"
            app:apply_font="true" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="15dp"
        android:layout_marginEnd="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rl_like" />

</androidx.constraintlayout.widget.ConstraintLayout>